linux-ppp.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [PATCH 5/9] pppd: fix GLIBC version test for non-glibc toolchains
@ 2019-09-26  7:21 Kurt Van Dijck
  0 siblings, 0 replies; only message in thread
From: Kurt Van Dijck @ 2019-09-26  7:21 UTC (permalink / raw)
  To: linux-ppp

Non-glibc toolchains have their include files arranged more similar
to newer glibc's than to older.

Signed-off-by: Kurt Van Dijck <dev.kurt@vandijck-laurijssen.be>
---
 pppd/sys-linux.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/pppd/sys-linux.c b/pppd/sys-linux.c
index 46e1ed4..a3f7fa6 100644
--- a/pppd/sys-linux.c
+++ b/pppd/sys-linux.c
@@ -102,7 +102,7 @@
 #define MAX_ADDR_LEN 7
 #endif
 
-#if __GLIBC__ >= 2
+#if !defined(__GLIBC__) || __GLIBC__ >= 2
 #include <asm/types.h>		/* glibc 2 conflicts with linux/types.h */
 #include <net/if.h>
 #include <net/if_arp.h>
-- 
1.8.5.rc3

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2019-09-26  7:21 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-09-26  7:21 [PATCH 5/9] pppd: fix GLIBC version test for non-glibc toolchains Kurt Van Dijck

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).